#
# Copyright (c) 2023 Genexis Netherlands B.V. All rights reserved.
# This Software and its content are protected by the Dutch Copyright Act
# ('Auteurswet'). All and any copying and distribution of the software
# and its content without authorization by Genexis Netherlands B.V. is
# prohibited. The prohibition includes every form of reproduction and
# distribution.
#

include $(TOPDIR)/rules.mk

PKG_NAME:=dmcli-plugins
PKG_LICENSE:=PROPRIETARY GENEXIS
PKG_VERSION:=2.2.6

PKG_SOURCE_PROTO:=git
PKG_SOURCE_URL:=https://dev.iopsys.eu/gnx/dmcli-plugin-easydm.git
PKG_SOURCE_VERSION:=bc8b8527e8a41bdba73cb277a3c6c3b42b045153
PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION)-$(PKG_SOURCE_VERSION).tar.xz
PKG_MIRROR_HASH:=skip

PKG_BUILD_PARALLEL:=1

include $(INCLUDE_DIR)/package.mk

define Package/dmcli-plugins
  SECTION:=tools
  CATEGORY:=Genexis
  TITLE:=Easy-to-use data model on top of TR181
  URL:=http://genexis.eu
  DEPENDS:=+dmcli
endef

define Package/dmcli-plugins/description
  EasyDM offers a user-friendly approach to configuring TR-181
  simplifying the process with its intuitive interface.
endef

define Build/Compile
	true
endef

define Package/dmcli-plugins/install
	$(INSTALL_DIR) $(1)/usr/lib/dmcli/plugins
	$(CP) $(PKG_BUILD_DIR)/src/*.js $(1)/usr/lib/dmcli/plugins/
endef

$(eval $(call BuildPackage,dmcli-plugins))
